Skip to navigation

Exclude Resource from Backup

Prevents a resource from being backed up by Eon and suppresses scanning and violations.

You can cancel this action by calling Cancel Resource Backup Exclusion for the same resource.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the resource to exclude from backup.

Response

Resource excluded from backup.
isExcludedboolean

Whether the resource is excluded from backup. Expected to be true.

Errors

404
Not Found Error